Subject: Re: bug#23891: define-abbrevs - property args not accessible

From: [email-masked]
Date: Mon, 04 Jul 2016 21:56:05 -0400

Andreas Röhler <[email-masked]> writes:

>> `define-abbrev' comes with an option to use
>> case-sensitive abbreviations. Nice, thanks.
>>
>> However don't see a way to specify this '(:case-fixed t)from a command.
>>
>> Neither `add-global-abbrev' nor `add-mode-abbrev' offer a slot.
>> What about having customizable vars for this, which are taken when set?

It seems `edit-abbrevs' also lacks support for properties: an abbrev
defined with :case-fixed via `define-abbrev' does not show up with an
indicator in the *Abbrevs* buffer, and when saving the propery is
removed.